### Encoding: latin1

### Name: k12fun
### Title: Multiscale second-order neigbourhood analysis of a bivariate
###   spatial point pattern
### Aliases: k12fun
### Keywords: spatial

### ** Examples

  data(BPoirier)
  BP<-BPoirier
  # spatial point pattern in a rectangle sampling window of size [0,110] x [0,90]
  swrm<-spp(BP$trees,win=BP$rect,marks=BP$species)
  #testing population independence hypothesis
  k12swrm.pi<-k12fun(swrm,25,1,500,marks=c("beech","oak"))
  plot(k12swrm.pi)
  #testing random labelling hypothesis
  k12swrm.rl<-k12fun(swrm,25,1,500,H0="rl",marks=c("beech","oak"))
  plot(k12swrm.rl)

  # spatial point pattern in a circle with radius 50 centred on (55,45)
  swc<-spp(BP$trees,win=c(55,45,45),marks=BP$species)
  k12swc.pi<-k12fun(swc,25,1,500,marks=c("beech","oak"))
  plot(k12swc.pi)
  
  # spatial point pattern in a complex sampling window
  swrt<-spp(BP$trees,win=BP$rect,tri=BP$tri2,marks=BP$species)
  k12swrt.pi<-k12fun(swrt,25,1,500,marks=c("beech","oak"))
  plot(k12swrt.pi)



